CCOSH(3)

NAME
ccosh, ccoshf, ccoshl - complex hyperbolic cosine

SYNOPSIS
#include <complex.h>

double complex ccosh(double complex z);
float complex ccoshf(float complex z);
long double complex ccoshl(long double complex z);

Link with -lm.

DESCRIPTION
The complex hyperbolic cosine function is defined as:
    ccosh(z) = (exp(z)+exp(-z))/2

CONFORMING TO
C99

SEE ALSO
cabs(3), csinh(3), ctanh(3), complex(7)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.